> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create License Op

> Create a signed license token for a tenant. Only available in non-SaaS deployments.



## OpenAPI

````yaml post /api/tenant/create_license
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/tenant/create_license:
    post:
      tags:
        - Tenant
      summary: Create License Op
      description: >-
        Create a signed license token for a tenant. Only available in non-SaaS
        deployments.
      operationId: tenant_create_license
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateLicenseRequest'
        required: true
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateLicenseResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    CreateLicenseRequest:
      properties:
        tenant_id:
          type: string
          title: Tenant Id
        plan:
          type: string
          title: Plan
          default: enterprise
        features:
          $ref: '#/components/schemas/LicenseFeatures'
          default:
            max_orgs_per_tenant: 50
            max_users_per_org: 100
            max_public_apis_per_tenant: 50
            max_private_apis_per_org: 50
        expires_in_days:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires In Days
        issued_to:
          anyOf:
            - type: string
            - type: 'null'
          title: Issued To
      type: object
      required:
        - tenant_id
      title: CreateLicenseRequest
    CreateLicenseResponse:
      properties:
        token:
          type: string
          title: Token
      type: object
      required:
        - token
      title: CreateLicenseResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    LicenseFeatures:
      properties:
        max_orgs_per_tenant:
          type: integer
          title: Max Orgs Per Tenant
          default: 50
        max_users_per_org:
          type: integer
          title: Max Users Per Org
          default: 100
        max_public_apis_per_tenant:
          type: integer
          title: Max Public Apis Per Tenant
          default: 50
        max_private_apis_per_org:
          type: integer
          title: Max Private Apis Per Org
          default: 50
      type: object
      title: LicenseFeatures
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````